WorldFileImageReader (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.dataAccess.image
Class WorldFileImageReader

    java.lang.Object
      com.bbn.openmap.dataAccess.image.WorldFileImageReader

All Implemented Interfaces:
  ImageReader

    public class WorldFileImageReader

extends java.lang.Object
implements ImageReader

Field Summary
`protected java.net.URL` | `fileURL`
`static java.util.logging.Logger` | `logger`
`protected WorldFile` | `worldFile`

Constructor Summary
`WorldFileImageReader(java.net.URL fileURL)`

Method Summary
`java.awt.image.BufferedImage` | `getBufferedImage()` Will be called by the Image cache by the ImageTile to replenish the image data as it is needed when the ImageTile is on the map.
`static java.awt.image.BufferedImage` | `getImageIOImage(java.net.URL fileURL)`
`ImageTile` | `getImageTile()` Should be called by the the object managing the ImageTiles.
`ImageTile` | `getImageTile(ImageTile.Cache cache)` Should be called by the object managing the ImageTiles.
`static java.awt.image.BufferedImage` | `getJAIImage(java.net.URL fileURL)`
`static void` | `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    public static java.util.logging.Logger logger

### worldFile

    protected WorldFile worldFile

### fileURL

    protected java.net.URL fileURL

Constructor Detail

### WorldFileImageReader

    public WorldFileImageReader(java.net.URL fileURL)
                         throws java.net.MalformedURLException,
                                java.io.IOException

Throws:
  `java.net.MalformedURLException`
  `java.io.IOException`

Method Detail

### getBufferedImage

    public java.awt.image.BufferedImage getBufferedImage()

  Description copied from interface: `ImageReader`
  Will be called by the Image cache by the ImageTile to replenish the image data as it is needed when the ImageTile is on the map.

  Specified by:
    `getBufferedImage` in interface `ImageReader`
  Returns:
    BufferedImage of image.

### getImageIOImage

    public static java.awt.image.BufferedImage getImageIOImage(java.net.URL fileURL)
                                                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### getJAIImage

    public static java.awt.image.BufferedImage getJAIImage(java.net.URL fileURL)
                                                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### getImageTile

    public ImageTile getImageTile(ImageTile.Cache cache)

  Description copied from interface: `ImageReader`
  Should be called by the object managing the ImageTiles.

  Specified by:
    `getImageTile` in interface `ImageReader`
  Parameters:
    `cache` - The CacheHandler that should be used by the ImageTile for dynamic image loading.
  Returns:
    ImageTile, null if there is a problem.

### getImageTile

    public ImageTile getImageTile()

  Description copied from interface: `ImageReader`
  Should be called by the the object managing the ImageTiles.

  Specified by:
    `getImageTile` in interface `ImageReader`
  Returns:
    ImageTile, null if there is a problem.

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details